<?php
defined('ABSPATH') || die('Cheatin\' uh?');

class STRB_Classes_Helpers_DevKit
{

    public static $plugin;
    public static $options;
    public static $package;

    public function __construct()
    {
        add_filter('strb_menu', array($this, 'manageMenu'));
    }

    public static function getOptions()
    {
        if (is_multisite()) {
            self::$options = json_decode(get_blog_option(get_main_site_id(), STRB_OPTION), true);
        } else {
            self::$options = json_decode(get_option(STRB_OPTION), true);
        }

        return self::$options;
    }

    /**
     * Manage the menu visibility
     */
    public function manageMenu($menu)
    {
        return $menu;
    }

}
